org.apache.commons.math3.exception

## Class MathParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MathParseException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class MathParseException
    extends MathIllegalStateException
    implements ExceptionContextProvider

Class to signal parse failures.

Since:
  2.2
Version:
  $Id: MathParseException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`MathParseException(java.lang.String wrong, int position)`
`MathParseException(java.lang.String wrong, int position, java.lang.Class<?> type)`

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.commons.math3.exception.util.ExceptionContextProvider

`getContext`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### MathParseException

    public MathParseException(java.lang.String wrong,
                      int position,
                      java.lang.Class<?> type)

Parameters:
  `wrong` - Bad string representation of the object.
  `position` - Index, in the `wrong` string, that caused the parsing to fail.
  `type` - Class of the object supposedly represented by the `wrong` string.

#### MathParseException

    public MathParseException(java.lang.String wrong,
                      int position)

Parameters:
  `wrong` - Bad string representation of the object.
  `position` - Index, in the `wrong` string, that caused the parsing to fail.